--- title: "Get End Cert" slug: "security-privateca-getendcert" tags: ["Private CA"] updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-privateca-getendcert" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get End Cert Available in Classic and VPC Get the details of a private certificate. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/ca/{caTag}/cert/{serialNo} | ### Request headers For information about the headers common to all CA APIs, see [CA request headers](/docs/en/security-privateca#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `caTag` | String | Required | CA tag value - See [Get CA list](/docs/en/security-privateca-getcalist) | | `serialNo` | String | Required | Private certificate serial number - See [Get end cert list](/docs/en/security-privateca-getendcertlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca/********-********/cert/**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `commonName` | String | - | Common name | | `notAfterDate` | Long | - | Certification expiration date and time - Timestamp format | | `publicKeyAlgorithm` | String | - | Encryption algorithm | | `notBeforeDate` | Long | - | Certification validity start date and time - Timestamp format | | `certPem` | String | - | CA certificate (PEM) | | `caChain` | String | - | Certificate chain (PEM) | | `ocspResponder` | String | - | Online Certificate Status Protocol (OSCP) server certificate (PEM) | | `signatureAlgorithm` | String | - | Signature algorithm | | `serialNo` | String | - | Private certificate serial number | ### Response status codes For information about the HTTP status codes common to all CA APIs, see [CA response status codes](/docs/en/security-privateca#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "code": "SUCCESS", "msg": "Success", "data": { "commonName": "name001", "notAfterDate": 2036465242000, "publicKeyAlgorithm": "RSA", "notBeforeDate": 1721105212000, "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----", "caChain": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----", "ocspResponder": "", "signatureAlgorithm": "SHA256withRSA", "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**" } } ```